Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 351559 (parallel-make) - [TRACKER] packages failing to use parallel make
Summary: [TRACKER] packages failing to use parallel make
Status: CONFIRMED
Alias: parallel-make
Product: Quality Assurance
Classification: Unclassified
Component: Trackers (show other bugs)
Hardware: All Linux
: High QA
Assignee: Gentoo Quality Assurance Team
URL: https://wiki.gentoo.org/wiki/Troubles...
Whiteboard:
Keywords: Tracker
Depends on: 259117 295724 299224 312407 343617 410065 413581 458968 483948 493950 494244 500574 500752 509498 514092 554464 654130 687924 699902 711200 752042 754321 775107 782553 798657 837875 843458 870196 879547 879847 880057 880151 880159 880169 880189 880199 880319 880321 880323 880327 880359 880367 880371 880599 880621 880921 881009 881031 881033 889569 246863 259033 265188 266739 326493 333049 351592 352119 359123 373473 386579 405029 427844 434618 469032 481558 490386 494096 560978 561378 569702 574282 594578 604018 612288 621486 670792 674078 674142 684444 686304 690150 701878 701894 720980 722126 743292 765799 776982 831713 834870 835920 836167 836557 843584 844133 855392 856430 859169 880053 880165 880195 880325 880347 881813 883063 883611 883621 887391
Blocks:
  Show dependency tree
 
Reported: 2011-01-13 13:58 UTC by Dane Smith (RETIRED)
Modified: 2023-03-15 05:54 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dane Smith (RETIRED) gentoo-dev 2011-01-13 13:58:06 UTC
Tracker bug discussion only. No package specific discussion please.
Comment 1 SpanKY gentoo-dev 2011-01-13 19:00:57 UTC
what exactly is the point of this tracker ?  how is having this information useful in any way ?
Comment 2 Dane Smith (RETIRED) gentoo-dev 2011-01-13 19:28:34 UTC
(In reply to comment #1)
> what exactly is the point of this tracker ?  how is having this information
> useful in any way ?
> 

The tinderbox will be reporting them soon hopefully and I felt this was the simple way to keep track of them.
Comment 3 Olivier Crete (RETIRED) gentoo-dev 2012-10-09 15:55:11 UTC
This is fixed in farstream 0.2.1 btw
Comment 4 Nathan Phillip Brink (binki) (RETIRED) gentoo-dev 2012-12-04 18:28:55 UTC
Does this tracker cover build failures caused by using parallel make? The wording of the summary seems to indicate it is only for packages which ignore MAKEOPTS completely, which use -j1, or which produce the “make jobserver unavailable” message.
Comment 5 Dane Smith (RETIRED) gentoo-dev 2013-01-08 01:42:48 UTC
(In reply to comment #4)
> Does this tracker cover build failures caused by using parallel make? The
> wording of the summary seems to indicate it is only for packages which
> ignore MAKEOPTS completely, which use -j1, or which produce the “make
> jobserver unavailable” message.

This should be used for any parallel make related issues. If the build fails with -jX where X > 1, they should be tracked here. Also, ebuilds which are forcing -j1 aren't "fixing" the issue. They're merely hacking around it. We should probably be tracking those here as well.
Comment 6 Jonas Stein gentoo-dev 2020-11-14 14:24:43 UTC
This tracker is not useful anymore. Discussed today on #gentoo-qa

qgrep  "j1" | wc -l 
returns 1243 hits (with a few false posisitves) 

Parallel build bugs linked here belong to one of the two types

a) it is not fixed with -j1 and the package is broken and should be fixed in short time. 
b) we have a forced -j1 in the ebuild and can track it better with a qa script
Comment 7 Jonas Stein gentoo-dev 2020-11-14 23:35:37 UTC
Reopened on request.
Please collect knowledge on troubleshooting in the wiki
https://wiki.gentoo.org/wiki/Troubleshooting_parallel_builds